Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Macros | Typedefs
ocrclass.h File Reference
`#include <time.h>`
`#include "host.h"`

Go to the source code of this file.

## Classes

struct | EANYCODE_CHAR
class | ETEXT_DESC

## Macros

#define | MAX_FONT_NAME 34 /*name of font */
#define | MAX_OCR_NAME 32 /*name of engine */
#define | MAX_OCR_VERSION 17 /*version code of engine */
#define | PITCH_DEF 0 /*default */
#define | PITCH_FIXED 1 /*fixed pitch */
#define | PITCH_VAR 2 /*variable pitch */

## Typedefs

typedef bool(* | CANCEL_FUNC )(void *cancel_this, int words)

## Macro Definition Documentation

#define MAX_FONT_NAME 34 /*name of font */

Definition at line 42 of file ocrclass.h.

#define MAX_OCR_NAME 32 /*name of engine */

Definition at line 43 of file ocrclass.h.

#define MAX_OCR_VERSION 17 /*version code of engine */

Definition at line 44 of file ocrclass.h.

#define PITCH_DEF 0 /*default */

Definition at line 47 of file ocrclass.h.

#define PITCH_FIXED 1 /*fixed pitch */

Definition at line 48 of file ocrclass.h.

#define PITCH_VAR 2 /*variable pitch */

Definition at line 49 of file ocrclass.h.

## Typedef Documentation

typedef bool(* CANCEL_FUNC)(void *cancel_this, int words)

Definition at line 110 of file ocrclass.h.